## maui-pix 4.0.2+p24.04+vstable+git20251015.1910

=== CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(PIX_VERSION 4.0.2)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2019-2025 Maui Development Team")

set(CMAKE_CXX_STANDARD 17) # to use 17 we need to update exiv2
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

project(pix VERSION ${PIX_VERSION})

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.5.2)

set(REQUIRED_KF_VERSION 5.240.0)

find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Qml Quick Positioning Concurrent)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons KIO)

find_package(MauiKit4 REQUIRED COMPONENTS FileBrowsing ImageTools)
#find_package(CaskServer REQUIRED)

if(ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Multimedia Sql QuickControls2)
elseif(UNIX)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
endif()

if(UNIX AND NOT APPLE AND NOT ANDROID)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
    include(ECMInstallIcons)
    include(ECMAddAppIcon)
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(FeatureSummary)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${PIX_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

ecm_setup_version(${PIX_VERSION}
    VARIABLE_PREFIX PIX
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pix_version.h")

kde_enable_exceptions()

if (QT_KNOWN_POLICY_QTP0001)
    qt_policy(SET QTP0001 OLD)
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

add_subdirectory(src)

ki18n_install(po)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(FILES org.kde.pix.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

qt_finalize_project()

=== src/CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

set(pix_SRCS
    main.cpp
    pix.cpp pix.h
    models/gallery/gallery.cpp
    models/folders/folders.cpp
    models/folders/placesmodel.cpp
    models/tags/tagsmodel.cpp
    models/cities/citiesmodel.cpp
    # models/thumbnailer.cpp
    pixserver.cpp )

if(UNIX AND NOT ANDROID)
    qt_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/pixserver.h org.kde.Pix.xml)
    qt_add_dbus_adaptor(pix_dbus_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Pix.xml pixserver.h Server)
    qt_add_dbus_interface(pix_dbus_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Pix.xml pixinterface)
endif()

qt_add_resources(pix_ASSETS imgs.qrc)

if(ANDROID)
    qt_add_executable(${PROJECT_NAME}
        MANUAL_FINALIZATION
        ${pix_SRCS}
        ${pix_ASSETS})

    set_property(TARGET ${PROJECT_NAME} APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android_files)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android_files/version.gradle.in ${CMAKE_BINARY_DIR}/src/version.gradle)

else()
    qt_add_executable(${PROJECT_NAME}
    MANUAL_FINALIZATION
        ${pix_SRCS}
        ${pix_dbus_SRCS}
        ${pix_ASSETS})
endif()

set_source_files_properties(widgets/views/Viewer/Viewer.js PROPERTIES
    QT_QML_SKIP_QMLDIR_ENTRY TRUE)

qt_add_qml_module(${PROJECT_NAME} URI app.maui.pix
    NO_PLUGIN
    QML_FILES
    main.qml
    view_models/PixGrid.qml
    view_models/PixPic.qml
    widgets/views/Folders/FoldersView.qml
    widgets/views/Gallery/GalleryView.qml
    widgets/views/Tags/TagsView.qml
    widgets/views/Viewer/PixViewer.qml
    widgets/views/Viewer/OCROverlay.qml
    widgets/views/Viewer/Viewer.qml
    widgets/views/Viewer/Viewer.js
    widgets/views/Viewer/GalleryRoll.qml
    widgets/views/Tags/TagsSidebar.qml
    view_models/PixMenu.qml
    widgets/SelectionBar.qml
    widgets/views/Cloud/CloudView.qml
    view_models/PixPicList.qml
    widgets/SettingsDialog.qml
    widgets/OCRSettingsPage.qml
    widgets/Sidebar.qml
    widgets/AppView.qml
    widgets/views/Viewer/OCRPage.qml
    widgets/views/CollectionView.qml
    widgets/views/FloatingViewer.qml)

target_compile_definitions(${PROJECT_NAME}
    PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    MauiKit4
    MauiKit4::FileBrowsing
    MauiKit4::ImageTools
    Qt6::Core
    Qt6::Qml
    Qt6::Positioning
    Qt6::Concurrent
    KF6::I18n)

if(ANDROID)
    target_link_libraries(${PROJECT_NAME}
        PRIVATE
        Qt6::Sql
        Qt6::Multimedia
        Qt6::QuickControls2)
    kde_source_files_enable_exceptions(pix pix.cpp)
else()
    target_link_libraries(${PROJECT_NAME}
        PRIVATE
        Qt6::Quick
        Qt6::Widgets
        KF6::KIOCore
        KF6::KIOWidgets)
endif()

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    install(FILES org.kde.pix.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    #TODO: port to ecm_install_icons()
    install(FILES assets/pix.svg DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor/scalable/apps)
endif()

qt_finalize_target(${PROJECT_NAME})

## maui-pix 4.0.0

=== debian/changelog ===
maui-pix (4.0.0-0zneon+24.04+noble+release+build3) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2024 02:50:10 +0000

maui-pix (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 10:18:23 +0000

maui-pix (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 14:03:09 +0000

pix (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 14:03:07 +0000

pix (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Aug 2023 14:03:07 +0000

pix (3.0.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

=== debian/control ===
Source: maui-pix
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libexiv2-dev,
               libmauikitfilebrowsing-dev,
               libmauikitimagetools-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-pix
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-pix.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-pix
Maintainer: Neon CI <neon@kde.org>

Package: maui-pix
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-imagetools,
         qml6-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends}
Description: maui pix
 Image gallery manager for Nitrux

Package: pix
Depends: maui-pix, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## maui-pix 4.0.2

=== debian/changelog ===
maui-pix (4.0.2-0zneon+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:20:46 +0000

maui-pix (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 10:19:12 +0000

maui-pix (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 10:18:14 +0000

## maui-pix 4.0.2+p24.04+vstable+git20250903.0131

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20250903.0131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:31:11 +0000

## maui-pix 4.0.2+p24.04+vstable+git20250914.2019

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20250914.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:19:22 +0000

## maui-pix 4.0.2+p24.04+vstable+git20251015.1910

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20251015.1910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:10:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
                extra-cmake-modules,
                kf6-kcoreaddons-dev,
                kf6-ki18n-dev,
+               kf6-kio-dev,
                libexiv2-dev,
                libmauikitfilebrowsing-dev,
                libmauikitimagetools-dev,
                mauikit-dev,
                mauiman-dev,
+               qml6-module-org-mauikit-imagetools,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-positioning-dev,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/pix/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## maui-pix 4.0.2+p24.04+vstable+git20251019.0731

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:41 +0000

## maui-pix 4.0.2+p24.04+vstable+git20260130.1003

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:57 +0000

## maui-pix 4.0.2+p24.04+vstable+git20260205.0606

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20260205.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:06:39 +0000

## maui-pix 4.0.2+p24.04+vunstable+git20260205.0818

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vunstable+git20260205.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:18:56 +0000

## maui-pix 4.0.2+p24.04+vunstable+git20260208.0706

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vunstable+git20260208.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 08 Feb 2026 07:06:31 +0000
